from flask import Flask, request

app = Flask(__name__)

@app.route('/')
def hello_world():
    """for key in request.headers.keys():
        print(key)"""
    print("Request method is " + request.method)
    # print(request.headers)
    return "Hello World"

@app.route('/user/<name>')
def user(name):
    a = 10/0
    return '<h1>Hello, %s!</h1>' % name

@app.route('/query')
def query_args():
    framework = request.args.get('framework')
    print("modified")
    return '''<h1>The framework value is: {}</h1>'''.format(framework)

@app.route('/form', methods=['GET', 'POST'])
def form_example():
    if request.method == 'POST':
        firstname = request.form.get('firstname')
        lastname = request.form.get('lastname')

        return '''<h1>The firstname value is: {}</h1>
                  <h1>The lastname value is: {}</h1>'''.format(firstname, lastname)

    return '''<form method="POST">
                  Firstname: <input type="text" name="firstname"><br>
                  Lastname: <input type="text" name="lastname"><br>
                  <input type="submit" value="Submit"><br>
              </form>'''

if __name__ == '__main__':
   app.run(debug=True)
